#! /bin/sh
# From configure.ac Id: configure.ac.
# Guess values for system-dependent variables and create Makefiles.
# Generated by Autoconf 2.52 for GForge 3.0.
#
# Report bugs to <http://gforge.org/tracker/?group_id=1>.
#
# Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.
#
#
# Copyright (c) 2003 Richard Offer. All rights reserved.
#   Any local macros are licensed under the BSD license
#

# Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz'
as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits

# Sed expression to map a string onto a valid variable name.
as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"

# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"

# Be Bourne compatible
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  emulate sh
  NULLCMD=:
elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  set -o posix
fi

# Name of the executable.
as_me=`echo "$0" |sed 's,.*[\\/],,'`

if expr a : '\(a\)' >/dev/null 2>&1; then
  as_expr=expr
else
  as_expr=false
fi

rm -f conf$$ conf$$.exe conf$$.file
echo >conf$$.file
if ln -s conf$$.file conf$$ 2>/dev/null; then
  # We could just check for DJGPP; but this test a) works b) is more generic
  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  if test -f conf$$.exe; then
    # Don't use ln at all; we don't have any links
    as_ln_s='cp -p'
  else
    as_ln_s='ln -s'
  fi
elif ln conf$$.file conf$$ 2>/dev/null; then
  as_ln_s=ln
else
  as_ln_s='cp -p'
fi
rm -f conf$$ conf$$.exe conf$$.file

as_executable_p="test -f"

# Support unset when possible.
if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
  as_unset=unset
else
  as_unset=false
fi

# NLS nuisances.
$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }

# IFS
# We need space, tab and new line, in precisely that order.
as_nl='
'
IFS=" 	$as_nl"

# CDPATH.
$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }

# Name of the host.
# hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
# so uname gets run too.
ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`

exec 6>&1

#
# Initializations.
#
ac_default_prefix=/usr/local
cross_compiling=no
subdirs=
MFLAGS= MAKEFLAGS=
SHELL=${CONFIG_SHELL-/bin/sh}

# Maximum number of lines to put in a shell here document.
# This variable seems obsolete.  It should probably be removed, and
# only ac_max_sed_lines should be used.
: ${ac_max_here_lines=38}

ac_unique_file="README.configure"

# Initialize some variables set by options.
ac_init_help=
ac_init_version=false
# The variables have the same names as the options, with
# dashes changed to underlines.
cache_file=/dev/null
exec_prefix=NONE
no_create=
no_recursion=
prefix=NONE
program_prefix=NONE
program_suffix=NONE
program_transform_name=s,x,x,
silent=
site=
srcdir=
verbose=
x_includes=NONE
x_libraries=NONE

# Installation directory options.
# These are left unexpanded so users can "make install exec_prefix=/foo"
# and all the variables that are supposed to be based on exec_prefix
# by default will actually change.
# Use braces instead of parens because sh, perl, etc. also accept them.
bindir='${exec_prefix}/bin'
sbindir='${exec_prefix}/sbin'
libexecdir='${exec_prefix}/libexec'
datadir='${prefix}/share'
sysconfdir='${prefix}/etc'
sharedstatedir='${prefix}/com'
localstatedir='${prefix}/var'
libdir='${exec_prefix}/lib'
includedir='${prefix}/include'
oldincludedir='/usr/include'
infodir='${prefix}/info'
mandir='${prefix}/man'

# Identity of this package.
PACKAGE_NAME='GForge'
PACKAGE_TARNAME='gforge'
PACKAGE_VERSION='3.0'
PACKAGE_STRING='GForge 3.0'
PACKAGE_BUGREPORT='http://gforge.org/tracker/?group_id=1'

ac_prev=
for ac_option
do
  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval "$ac_prev=\$ac_option"
    ac_prev=
    continue
  fi

  ac_optarg=`expr "x$ac_option" : 'x[^=]*=\(.*\)'`

  # Accept the important Cygnus configure options, so we can diagnose typos.

  case $ac_option in

  -bindir | --bindir | --bindi | --bind | --bin | --bi)
    ac_prev=bindir ;;
  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
    bindir=$ac_optarg ;;

  -build | --build | --buil | --bui | --bu)
    ac_prev=build_alias ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
    build_alias=$ac_optarg ;;

  -cache-file | --cache-file | --cache-fil | --cache-fi \
  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
    ac_prev=cache_file ;;
  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
    cache_file=$ac_optarg ;;

  --config-cache | -C)
    cache_file=config.cache ;;

  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
    ac_prev=datadir ;;
  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
  | --da=*)
    datadir=$ac_optarg ;;

  -disable-* | --disable-*)
    ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
    # Reject names that are not valid shell variable names.
    expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
      { echo "$as_me: error: invalid feature name: $ac_feature" >&2
   { (exit 1); exit 1; }; }
    ac_feature=`echo $ac_feature | sed 's/-/_/g'`
    eval "enable_$ac_feature=no" ;;

  -enable-* | --enable-*)
    ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
    # Reject names that are not valid shell variable names.
    expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
      { echo "$as_me: error: invalid feature name: $ac_feature" >&2
   { (exit 1); exit 1; }; }
    ac_feature=`echo $ac_feature | sed 's/-/_/g'`
    case $ac_option in
      *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
      *) ac_optarg=yes ;;
    esac
    eval "enable_$ac_feature='$ac_optarg'" ;;

  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix=$ac_optarg ;;

  -gas | --gas | --ga | --g)
    # Obsolete; use --with-gas.
    with_gas=yes ;;

  -help | --help | --hel | --he | -h)
    ac_init_help=long ;;
  -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
    ac_init_help=recursive ;;
  -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
    ac_init_help=short ;;

  -host | --host | --hos | --ho)
    ac_prev=host_alias ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host_alias=$ac_optarg ;;

  -includedir | --includedir | --includedi | --included | --include \
  | --includ | --inclu | --incl | --inc)
    ac_prev=includedir ;;
  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  | --includ=* | --inclu=* | --incl=* | --inc=*)
    includedir=$ac_optarg ;;

  -infodir | --infodir | --infodi | --infod | --info | --inf)
    ac_prev=infodir ;;
  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
    infodir=$ac_optarg ;;

  -libdir | --libdir | --libdi | --libd)
    ac_prev=libdir ;;
  -libdir=* | --libdir=* | --libdi=* | --libd=*)
    libdir=$ac_optarg ;;

  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  | --libexe | --libex | --libe)
    ac_prev=libexecdir ;;
  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  | --libexe=* | --libex=* | --libe=*)
    libexecdir=$ac_optarg ;;

  -localstatedir | --localstatedir | --localstatedi | --localstated \
  | --localstate | --localstat | --localsta | --localst \
  | --locals | --local | --loca | --loc | --lo)
    ac_prev=localstatedir ;;
  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
    localstatedir=$ac_optarg ;;

  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
    ac_prev=mandir ;;
  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
    mandir=$ac_optarg ;;

  -nfp | --nfp | --nf)
    # Obsolete; use --without-fp.
    with_fp=no ;;

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c)
    no_create=yes ;;

  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
    no_recursion=yes ;;

  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  | --oldin | --oldi | --old | --ol | --o)
    ac_prev=oldincludedir ;;
  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
    oldincludedir=$ac_optarg ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix=$ac_optarg ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix=$ac_optarg ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix=$ac_optarg ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name=$ac_optarg ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
    ac_prev=sbindir ;;
  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  | --sbi=* | --sb=*)
    sbindir=$ac_optarg ;;

  -sharedstatedir | --sharedstatedir | --sharedstatedi \
  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  | --sharedst | --shareds | --shared | --share | --shar \
  | --sha | --sh)
    ac_prev=sharedstatedir ;;
  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  | --sha=* | --sh=*)
    sharedstatedir=$ac_optarg ;;

  -site | --site | --sit)
    ac_prev=site ;;
  -site=* | --site=* | --sit=*)
    site=$ac_optarg ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir=$ac_optarg ;;

  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  | --syscon | --sysco | --sysc | --sys | --sy)
    ac_prev=sysconfdir ;;
  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
    sysconfdir=$ac_optarg ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target_alias ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target_alias=$ac_optarg ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers | -V)
    ac_init_version=: ;;

  -with-* | --with-*)
    ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
    # Reject names that are not valid shell variable names.
    expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
      { echo "$as_me: error: invalid package name: $ac_package" >&2
   { (exit 1); exit 1; }; }
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    case $ac_option in
      *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
      *) ac_optarg=yes ;;
    esac
    eval "with_$ac_package='$ac_optarg'" ;;

  -without-* | --without-*)
    ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
    # Reject names that are not valid shell variable names.
    expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
      { echo "$as_me: error: invalid package name: $ac_package" >&2
   { (exit 1); exit 1; }; }
    ac_package=`echo $ac_package | sed 's/-/_/g'`
    eval "with_$ac_package=no" ;;

  --x)
    # Obsolete; use --with-x.
    with_x=yes ;;

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes=$ac_optarg ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries=$ac_optarg ;;

  -*) { echo "$as_me: error: unrecognized option: $ac_option
Try \`$0 --help' for more information." >&2
   { (exit 1); exit 1; }; }
    ;;

  *=*)
    ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
    # Reject names that are not valid shell variable names.
    expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
      { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
   { (exit 1); exit 1; }; }
    ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`
    eval "$ac_envvar='$ac_optarg'"
    export $ac_envvar ;;

  *)
    # FIXME: should be removed in autoconf 3.0.
    echo "$as_me: WARNING: you should use --build, --host, --target" >&2
    expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
      echo "$as_me: WARNING: invalid host type: $ac_option" >&2
    : ${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}
    ;;

  esac
done

if test -n "$ac_prev"; then
  ac_option=--`echo $ac_prev | sed 's/_/-/g'`
  { echo "$as_me: error: missing argument to $ac_option" >&2
   { (exit 1); exit 1; }; }
fi

# Be sure to have absolute paths.
for ac_var in exec_prefix prefix
do
  eval ac_val=$`echo $ac_var`
  case $ac_val in
    [\\/$]* | ?:[\\/]* | NONE | '' ) ;;
    *)  { echo "$as_me: error: expected an absolute path for --$ac_var: $ac_val" >&2
   { (exit 1); exit 1; }; };;
  esac
done

# Be sure to have absolute paths.
for ac_var in bindir sbindir libexecdir datadir sysconfdir sharedstatedir \
              localstatedir libdir includedir oldincludedir infodir mandir
do
  eval ac_val=$`echo $ac_var`
  case $ac_val in
    [\\/$]* | ?:[\\/]* ) ;;
    *)  { echo "$as_me: error: expected an absolute path for --$ac_var: $ac_val" >&2
   { (exit 1); exit 1; }; };;
  esac
done

# There might be people who depend on the old broken behavior: `$host'
# used to hold the argument of --host etc.
build=$build_alias
host=$host_alias
target=$target_alias

# FIXME: should be removed in autoconf 3.0.
if test "x$host_alias" != x; then
  if test "x$build_alias" = x; then
    cross_compiling=maybe
    echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
    If a cross compiler is detected then cross compile mode will be used." >&2
  elif test "x$build_alias" != "x$host_alias"; then
    cross_compiling=yes
  fi
fi

ac_tool_prefix=
test -n "$host_alias" && ac_tool_prefix=$host_alias-

test "$silent" = yes && exec 6>/dev/null

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then its parent.
  ac_prog=$0
  ac_confdir=`echo "$ac_prog" | sed 's%[\\/][^\\/][^\\/]*$%%'`
  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  srcdir=$ac_confdir
  if test ! -r $srcdir/$ac_unique_file; then
    srcdir=..
  fi
else
  ac_srcdir_defaulted=no
fi
if test ! -r $srcdir/$ac_unique_file; then
  if test "$ac_srcdir_defaulted" = yes; then
    { echo "$as_me: error: cannot find sources in $ac_confdir or .." >&2
   { (exit 1); exit 1; }; }
  else
    { echo "$as_me: error: cannot find sources in $srcdir" >&2
   { (exit 1); exit 1; }; }
  fi
fi
srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
ac_env_build_alias_set=${build_alias+set}
ac_env_build_alias_value=$build_alias
ac_cv_env_build_alias_set=${build_alias+set}
ac_cv_env_build_alias_value=$build_alias
ac_env_host_alias_set=${host_alias+set}
ac_env_host_alias_value=$host_alias
ac_cv_env_host_alias_set=${host_alias+set}
ac_cv_env_host_alias_value=$host_alias
ac_env_target_alias_set=${target_alias+set}
ac_env_target_alias_value=$target_alias
ac_cv_env_target_alias_set=${target_alias+set}
ac_cv_env_target_alias_value=$target_alias

#
# Report the --help message.
#
if test "$ac_init_help" = "long"; then
  # Omit some internal or obsolete options to make the list less imposing.
  # This message is too long to be a string in the A/UX 3.1 sh.
  cat <<EOF
\`configure' configures GForge 3.0 to adapt to many kinds of systems.

Usage: $0 [OPTION]... [VAR=VALUE]...

To assign environment variables (e.g., CC, CFLAGS...), specify them as
VAR=VALUE.  See below for descriptions of some of the useful variables.

Defaults for the options are specified in brackets.

Configuration:
  -h, --help              display this help and exit
      --help=short        display options specific to this package
      --help=recursive    display the short help of all the included packages
  -V, --version           display version information and exit
  -q, --quiet, --silent   do not print \`checking...' messages
      --cache-file=FILE   cache test results in FILE [disabled]
  -C, --config-cache      alias for \`--cache-file=config.cache'
  -n, --no-create         do not create output files
      --srcdir=DIR        find the sources in DIR [configure dir or \`..']

EOF

  cat <<EOF
Installation directories:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [$ac_default_prefix]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [PREFIX]

By default, \`make install' will install all the files in
\`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
an installation prefix other than \`$ac_default_prefix' using \`--prefix',
for instance \`--prefix=\$HOME'.

For better control, use the options below.

Fine tuning of the installation directories:
  --bindir=DIR           user executables [EPREFIX/bin]
  --sbindir=DIR          system admin executables [EPREFIX/sbin]
  --libexecdir=DIR       program executables [EPREFIX/libexec]
  --datadir=DIR          read-only architecture-independent data [PREFIX/share]
  --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
  --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
  --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
  --libdir=DIR           object code libraries [EPREFIX/lib]
  --includedir=DIR       C header files [PREFIX/include]
  --oldincludedir=DIR    C header files for non-gcc [/usr/include]
  --infodir=DIR          info documentation [PREFIX/info]
  --mandir=DIR           man documentation [PREFIX/man]
EOF

  cat <<\EOF
EOF
fi

if test -n "$ac_init_help"; then
  case $ac_init_help in
     short | recursive ) echo "Configuration of GForge 3.0:";;
   esac
  cat <<\EOF

Optional Features:
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  --enable-defaults=TYPE  enable TYPE specific defaults (None)
  --enable-ldap           enable LDAP (no)
  --enable-jabber         enable Jabber (no)

Optional Packages:
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --with-domain-name      the default domain (company.com)
  --with-sys-default-domain
                          the gforge server (gforge.DOMAIN-NAME)
  --with-sys-fallback-domain
                          the gforge fallback server (gforge2.DOMAIN-NAME)
  --with-sys-internal-network
                          netmask of internal network (192.168.1.)
  --with-sys-cvs-host     the CVS server (cvs.DOMAIN-NAME)
  --with-project-cvs-hosts
                          run an individual CVS server per project (a single
                          CVS server for the entire site)
  --with-sys-download-host
                          the download server (download.DOMAIN-NAME)
  --with-sys-upload-host  the upload server (upload.DOMAIN-NAME)
  --with-sys-shell-host   the shell server (shell.DOMAIN-NAME)
  --with-sys-users-host   the users server (users.DOMAIN-NAME)
  --with-sys-docs-host    the docs server (docs.DOMAIN-NAME)
  --with-sys-lists-host   the lists server (lists.DOMAIN-NAME)
  --with-sys-dns1-host    the primary nameserver (ns1.DOMAIN-NAME)
  --with-sys-dns2-host    the secondary nameserver (ns2.DOMAIN-NAME)
  --with-sys-dbhost       the DB server (localhost)
  --with-sys-dbreadhost   the readonly DB server (localhost)
  --with-sys-dbreaddb     databases that are read only (stats)
  --with-sys-dbname       name of database (alexandria)
  --with-sys-dbuser       user to access DB as (www)
  --with-sys-dbpasswd     use password to access DB
  --with-sys-ldap-host    LDAP server (ldap.DOMAIN-NAME)
  --with-sys-ldap-base-dn LDAP base dn (dc=DOMAIN-NAME)
  --with-sys-ldap-bind-dn LDAP bind dn (cn=SF_robot,$LDAP_BASE_DN)
  --with-sys-ldap-admin-dn
                          LDAP admin dn ($LDAP_ADMIN_DN)
  --with-sys-ldap-password
                          LDAP password
  --with-sys-jabber-host  Jabber server (jabber.DOMAIN-NAME)
  --with-sys-jabber-user  Jabber messages come from USER (noreply)
  --with-sys-jabber-pass  JABBER password (temp123)
  --with-sys-path-to-jpgraph
                          path to Jpgraph
  --with-sys-upload-dir   location of upload, must be outside of DocumentRoot
  --with-homedir-prefix   homedir prefix ($HOME_DIR)
  --with-groupdir-prefix  groups prefix ($GROUP_DIR)
  --with-db=DB            DB to use (only pgsql currently supported)
  --with-scm=SCM          SCM system to use (only CVS currently supported)
  --with-sys-name         the name of the GForge installation (prodigy)
  --with-sys-news-group   the group id for news (3)
  --with-sys-stats-group  the group id for stats (2)
  --with-sys-peer-rating-group
                          the group id for peer ratings (4)
  --with-default-trove-cat
                          the default Trove category (18)
  --with-sys-theme        Theme to use by default (gforge)
  --with-sys-lang         language to use (English)
  --with-sys-session-key  the session key (generate one using ps)

Report bugs to <http://gforge.org/tracker/?group_id=1>.
EOF
fi

if test "$ac_init_help" = "recursive"; then
  # If there are subdirs, report their specific --help.
  ac_popdir=`pwd`
  for ac_subdir in : $ac_subdirs_all; do test "x$ac_subdir" = x: && continue
    cd $ac_subdir
    # A "../" for each directory in /$ac_subdir.
    ac_dots=`echo $ac_subdir |
             sed 's,^\./,,;s,[^/]$,&/,;s,[^/]*/,../,g'`

    case $srcdir in
    .) # No --srcdir option.  We are building in place.
      ac_sub_srcdir=$srcdir ;;
    [\\/]* | ?:[\\/]* ) # Absolute path.
      ac_sub_srcdir=$srcdir/$ac_subdir ;;
    *) # Relative path.
      ac_sub_srcdir=$ac_dots$srcdir/$ac_subdir ;;
    esac

    # Check for guested configure; otherwise get Cygnus style configure.
    if test -f $ac_sub_srcdir/configure.gnu; then
      echo
      $SHELL $ac_sub_srcdir/configure.gnu  --help=recursive
    elif test -f $ac_sub_srcdir/configure; then
      echo
      $SHELL $ac_sub_srcdir/configure  --help=recursive
    elif test -f $ac_sub_srcdir/configure.ac ||
           test -f $ac_sub_srcdir/configure.in; then
      echo
      $ac_configure --help
    else
      echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2
    fi
    cd $ac_popdir
  done
fi

test -n "$ac_init_help" && exit 0
if $ac_init_version; then
  cat <<\EOF
GForge configure 3.0
generated by GNU Autoconf 2.52

Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
Free Software Foundation, Inc.
This configure script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it.

Copyright (c) 2003 Richard Offer. All rights reserved.
  Any local macros are licensed under the BSD license

EOF
  exit 0
fi
exec 5>config.log
cat >&5 <<EOF
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by GForge $as_me 3.0, which was
generated by GNU Autoconf 2.52.  Invocation command line was

  $ $0 $@

EOF
{
cat <<_ASUNAME
## ---------- ##
## Platform.  ##
## ---------- ##

hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
uname -m = `(uname -m) 2>/dev/null || echo unknown`
uname -r = `(uname -r) 2>/dev/null || echo unknown`
uname -s = `(uname -s) 2>/dev/null || echo unknown`
uname -v = `(uname -v) 2>/dev/null || echo unknown`

/usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
/bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`

/bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
/usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
/usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
hostinfo               = `(hostinfo) 2>/dev/null               || echo unknown`
/bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
/usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
/bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`

PATH = $PATH

_ASUNAME
} >&5

cat >&5 <<EOF
## ------------ ##
## Core tests.  ##
## ------------ ##

EOF

# Keep a trace of the command line.
# Strip out --no-create and --no-recursion so they do not pile up.
# Also quote any args containing shell meta-characters.
ac_configure_args=
ac_sep=
for ac_arg
do
  case $ac_arg in
  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c) ;;
  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
    ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"`
    ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
    ac_sep=" " ;;
  *) ac_configure_args="$ac_configure_args$ac_sep$ac_arg"
     ac_sep=" " ;;
  esac
  # Get rid of the leading space.
done

# When interrupted or exit'd, cleanup temporary files, and complete
# config.log.  We remove comments because anyway the quotes in there
# would cause problems or look ugly.
trap 'exit_status=$?
  # Save into config.log some information that might help in debugging.
  echo >&5
  echo "## ----------------- ##" >&5
  echo "## Cache variables.  ##" >&5
  echo "## ----------------- ##" >&5
  echo >&5
  # The following way of writing the cache mishandles newlines in values,
{
  (set) 2>&1 |
    case `(ac_space='"'"' '"'"'; set | grep ac_space) 2>&1` in
    *ac_space=\ *)
      sed -n \
        "s/'"'"'/'"'"'\\\\'"'"''"'"'/g;
    	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='"'"'\\2'"'"'/p"
      ;;
    *)
      sed -n \
        "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
      ;;
    esac;
} >&5
  sed "/^$/d" confdefs.h >conftest.log
  if test -s conftest.log; then
    echo >&5
    echo "## ------------ ##" >&5
    echo "## confdefs.h.  ##" >&5
    echo "## ------------ ##" >&5
    echo >&5
    cat conftest.log >&5
  fi
  (echo; echo) >&5
  test "$ac_signal" != 0 &&
    echo "$as_me: caught signal $ac_signal" >&5
  echo "$as_me: exit $exit_status" >&5
  rm -rf conftest* confdefs* core core.* *.core conf$$* $ac_clean_files &&
    exit $exit_status
     ' 0
for ac_signal in 1 2 13 15; do
  trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
done
ac_signal=0

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo >confdefs.h

# Let the site file select an alternate cache file if it wants to.
# Prefer explicitly selected file to automatically selected ones.
if test -z "$CONFIG_SITE"; then
  if test "x$prefix" != xNONE; then
    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
  else
    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
  fi
fi
for ac_site_file in $CONFIG_SITE; do
  if test -r "$ac_site_file"; then
    { echo "$as_me:868: loading site script $ac_site_file" >&5
echo "$as_me: loading site script $ac_site_file" >&6;}
    cat "$ac_site_file" >&5
    . "$ac_site_file"
  fi
done

if test -r "$cache_file"; then
  # Some versions of bash will fail to source /dev/null (special
  # files actually), so we avoid doing that.
  if test -f "$cache_file"; then
    { echo "$as_me:879: loading cache $cache_file" >&5
echo "$as_me: loading cache $cache_file" >&6;}
    case $cache_file in
      [\\/]* | ?:[\\/]* ) . $cache_file;;
      *)                      . ./$cache_file;;
    esac
  fi
else
  { echo "$as_me:887: creating cache $cache_file" >&5
echo "$as_me: creating cache $cache_file" >&6;}
  >$cache_file
fi

# Check that the precious variables saved in the cache have kept the same
# value.
ac_cache_corrupted=false
for ac_var in `(set) 2>&1 |
               sed -n 's/^ac_env_\([a-zA-Z_0-9]*\)_set=.*/\1/p'`; do
  eval ac_old_set=\$ac_cv_env_${ac_var}_set
  eval ac_new_set=\$ac_env_${ac_var}_set
  eval ac_old_val="\$ac_cv_env_${ac_var}_value"
  eval ac_new_val="\$ac_env_${ac_var}_value"
  case $ac_old_set,$ac_new_set in
    set,)
      { echo "$as_me:903: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
      ac_cache_corrupted=: ;;
    ,set)
      { echo "$as_me:907: error: \`$ac_var' was not set in the previous run" >&5
echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
      ac_cache_corrupted=: ;;
    ,);;
    *)
      if test "x$ac_old_val" != "x$ac_new_val"; then
        { echo "$as_me:913: error: \`$ac_var' has changed since the previous run:" >&5
echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
        { echo "$as_me:915:   former value:  $ac_old_val" >&5
echo "$as_me:   former value:  $ac_old_val" >&2;}
        { echo "$as_me:917:   current value: $ac_new_val" >&5
echo "$as_me:   current value: $ac_new_val" >&2;}
        ac_cache_corrupted=:
      fi;;
  esac
  # Pass precious variables to config.status.  It doesn't matter if
  # we pass some twice (in addition to the command line arguments).
  if test "$ac_new_set" = set; then
    case $ac_new_val in
    *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
      ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"`
      ac_configure_args="$ac_configure_args '$ac_arg'"
      ;;
    *) ac_configure_args="$ac_configure_args $ac_var=$ac_new_val"
       ;;
    esac
  fi
done
if $ac_cache_corrupted; then
  { echo "$as_me:936: error: changes in the environment can compromise the build" >&5
echo "$as_me: error: changes in the environment can compromise the build" >&2;}
  { { echo "$as_me:938: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
   { (exit 1); exit 1; }; }
fi

ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu

case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
  *c*,-n*) ECHO_N= ECHO_C='
' ECHO_T='	' ;;
  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  *)      ECHO_N= ECHO_C='\c' ECHO_T= ;;
esac
echo "#! $SHELL" >conftest.sh
echo  "exit 0"   >>conftest.sh
chmod +x conftest.sh
if { (echo "$as_me:958: PATH=\".;.\"; conftest.sh") >&5
  (PATH=".;."; conftest.sh) 2>&5
  ac_status=$?
  echo "$as_me:961: \$? = $ac_status" >&5
  (exit $ac_status); }; then
  ac_path_separator=';'
else
  ac_path_separator=:
fi
PATH_SEPARATOR="$ac_path_separator"
rm -f conftest.sh

# provide a unique file name so autoconf can check that its
# in the right place

for ac_prog in mawk gawk nawk awk
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo "$as_me:977: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_AWK+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  if test -n "$AWK"; then
  ac_cv_prog_AWK="$AWK" # Let the user override the test.
else
  ac_save_IFS=$IFS; IFS=$ac_path_separator
ac_dummy="$PATH"
for ac_dir in $ac_dummy; do
  IFS=$ac_save_IFS
  test -z "$ac_dir" && ac_dir=.
  $as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_AWK="$ac_prog"
echo "$as_me:992: found $ac_dir/$ac_word" >&5
break
done

fi
fi
AWK=$ac_cv_prog_AWK
if test -n "$AWK"; then
  echo "$as_me:1000: result: $AWK" >&5
echo "${ECHO_T}$AWK" >&6
else
  echo "$as_me:1003: result: no" >&5
echo "${ECHO_T}no" >&6
fi

  test -n "$AWK" && break
done

for ac_prog in md5sum md5 sum
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo "$as_me:1014: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_HASHING_PROG+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  if test -n "$HASHING_PROG"; then
  ac_cv_prog_HASHING_PROG="$HASHING_PROG" # Let the user override the test.
else
  ac_save_IFS=$IFS; IFS=$ac_path_separator
ac_dummy="$PATH"
for ac_dir in $ac_dummy; do
  IFS=$ac_save_IFS
  test -z "$ac_dir" && ac_dir=.
  $as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_HASHING_PROG="$ac_prog"
echo "$as_me:1029: found $ac_dir/$ac_word" >&5
break
done

fi
fi
HASHING_PROG=$ac_cv_prog_HASHING_PROG
if test -n "$HASHING_PROG"; then
  echo "$as_me:1037: result: $HASHING_PROG" >&5
echo "${ECHO_T}$HASHING_PROG" >&6
else
  echo "$as_me:1040: result: no" >&5
echo "${ECHO_T}no" >&6
fi

  test -n "$HASHING_PROG" && break
done

# If you find that you are having to use too many command line options
# to get the settings you require, you should consider adding a new
# defaults TYPE, Dont forget that the definitions of the AC_ARG_WITH() macros
# will need to be changed to remove the defaults (the last parameter).

# Check whether --enable-defaults or --disable-defaults was given.
if test "${enable_defaults+set}" = set; then
  enableval="$enable_defaults"

	case "$enableval" in

		DEBIAN|debian)
			echo "$as_me:1059: result: Using Debian specific defaults (FHS)" >&5
echo "${ECHO_T}Using Debian specific defaults (FHS)" >&6

			homedir_prefix=/var/lib/gforge/chroot/home/users
			groupdir_prefix=/var/lib/gforge/chroot/home/groups

			sys_upload_dir=/var/lib/gforge/download/

			TOP_DIR=/usr/share/gforge
			CGIBIN_DIR=/usr/lib/gforge/cgi-bin

			sys_urlroot=/usr/share/gforge/www/
			sys_ldap_admin_dn="admin,$LDAP_BASE_DN"
			;;

		NONE|none)
			# use defaults
			echo "$as_me:1076: result: Using built-in defaults" >&5
echo "${ECHO_T}Using built-in defaults" >&6
			;;

		/*)
			echo "$as_me:1081: result: Using defaults from $enableval" >&5
echo "${ECHO_T}Using defaults from $enableval" >&6
			# local defaults are stored in a file, source it.
			. $enableval
			;;

		*/*)
			{ { echo "$as_me:1088: error: \"$enableval\" should be an absolute path" >&5
echo "$as_me: error: \"$enableval\" should be an absolute path" >&2;}
   { (exit 1); exit 1; }; }
			;;

		*)
			{ { echo "$as_me:1094: error: \"$enableval\" not a valid setting for defaults" >&5
echo "$as_me: error: \"$enableval\" not a valid setting for defaults" >&2;}
   { (exit 1); exit 1; }; }
			;;
	esac

fi;

# This should really be example.com, see RFC2606.

# Check whether --with-domain-name or --without-domain-name was given.
if test "${with_domain_name+set}" = set; then
  withval="$with_domain_name"
  domain_name="$withval"
fi;

# defaults  for when no defaults are specified (or defaults=NONE.

this_dir=`dirname $0`
test -n "${TOP_DIR}" || TOP_DIR=`(cd $this_dir/../../ ; pwd)`

test -n "${domain_name}" || domain_name="company.com"
test -n "${sys_default_domain}" || sys_default_domain="gforge.$domain_name"
test -n "${sys_fallback_domain}" || sys_fallback_domain="gforge2.$domain_name"
test -n "${sys_internal_network}" || sys_internal_network="192.168.1."

test -n "${sys_cvs_host}" || sys_cvs_host="cvs.$domain_name"
test -n "${sys_cvs_single_host}" || sys_cvs_single_host=1
test -n "${sys_download_host}" || sys_download_host="download.$domain_name"
test -n "${sys_upload_host}" || sys_upload_host="upload.$domain_name"
test -n "${sys_shell_host}" || sys_shell_host="shell.$domain_name"
test -n "${sys_users_host}" || sys_users_host="users.$domain_name"
test -n "${sys_docs_host}" || sys_docs_host="sfdocs.$domain_name"
test -n "${sys_lists_host}" || sys_lists_host="lists.$domain_name"
test -n "${sys_dns1_host}" || sys_dns1_host="ns1.$domain_name"
test -n "${sys_dns2_host}" || sys_dns2_host="ns2.$domain_name"
test -n "${sys_dbhost}" || sys_dbhost="localhost"
test -n "${sys_dbreadhost}" || sys_dbreadhost="localhost"
test -n "${sys_dbreaddb}" || sys_dbreaddb="stats"
test -n "${sys_dbname}" || sys_dbname="alexandria"
test -n "${sys_dbuser}" || sys_dbuser="www"
test -n "${sys_dbpasswd}" || sys_dbpasswd=""

test -n "${sys_use_ldap}" || sys_use_ldap=0
test -n "${sys_ldap_host}" || sys_ldap_host="ldap.$domain_name"
test -n "${sys_ldap_base_dn}" || sys_ldap_base_dn="`echo $domain_name | awk -F. '{printf(\"dc=%s,dc=%s\",$(NF-1), $NF) }'`"
test -n "${sys_ldap_bind_dn}" || sys_ldap_bind_dn="cn=SF_robot,$sys_ldap_base_dn"
test -n "${sys_ldap_admin_dn}" || sys_ldap_admin_dn="cn=Manager,$sys_ldap_base_dn"
test -n "${sys_ldap_passwd}" || sys_ldap_passwd=""

test -n "${sys_use_jabber}" || sys_use_jabber=0
test -n "${sys_jabber_host}" || sys_jabber_host="jabber.$domain_name"
test -n "${sys_jabber_user}" || sys_jabber_user="noreply"
test -n "${sys_jabber_pass}" || sys_jabber_pass="temp123"

test -n "${sys_path_to_jpgraph}" || sys_path_to_jpgraph="/path/to/jpgraph/src/"
test -n "${sys_upload_dir}" || sys_upload_dir=$TOP_DIR/uploads
test -n "${homedir_prefix}" || homedir_prefix="/home"
test -n "${groupdir_prefix}" || groupdir_prefix="/home/groups"

test -n "${sys_urlroot}" || sys_urlroot=$TOP_DIR/www/

test -n "${sys_name}" || sys_name="prodigy"

test -n "${sys_theme}" || sys_theme="gforge"
test -n "${sys_lang}" || sys_lang="English"

test -n "${sys_news_group}" || sys_news_group=3
test -n "${sys_stats_group}" || sys_stats_group=2
test -n "${sys_peer_rating_group}" || sys_peer_rating_group=4
test -n "${default_trove_cat}" || default_trove_cat=18

# currently unused
test -n "${sys_server}" || sys_server="pgsql"
test -n "${sys_scm}" || sys_scm="CVS"

#############################################################################
# Basic hosts configuration.
#############################################################################

# Check whether --with-sys-default-domain or --without-sys-default-domain was given.
if test "${with_sys_default_domain+set}" = set; then
  withval="$with_sys_default_domain"
  sys_default_domain="$withval"
fi;

# Check whether --with-sys-fallback-domain or --without-sys-fallback-domain was given.
if test "${with_sys_fallback_domain+set}" = set; then
  withval="$with_sys_fallback_domain"
  sys_fallback_domain="$withval"
fi;

# Check whether --with-sys-internal-network or --without-sys-internal-network was given.
if test "${with_sys_internal_network+set}" = set; then
  withval="$with_sys_internal_network"
  sys_internal_network="$withval"
fi;

# Check whether --with-sys-cvs-host or --without-sys-cvs-host was given.
if test "${with_sys_cvs_host+set}" = set; then
  withval="$with_sys_cvs_host"
  sys_cvs_host="$withval"
fi;

# Check whether --with-project-cvs-hosts or --without-project-cvs-hosts was given.
if test "${with_project_cvs_hosts+set}" = set; then
  withval="$with_project_cvs_hosts"
  sys_cvs_single_host=0
fi;

# Check whether --with-sys-download-host or --without-sys-download-host was given.
if test "${with_sys_download_host+set}" = set; then
  withval="$with_sys_download_host"
  sys_download_host="$withval"
fi;

# Check whether --with-sys-upload-host or --without-sys-upload-host was given.
if test "${with_sys_upload_host+set}" = set; then
  withval="$with_sys_upload_host"
  sys_upload_host="$withval"
fi;

# Check whether --with-sys-shell-host or --without-sys-shell-host was given.
if test "${with_sys_shell_host+set}" = set; then
  withval="$with_sys_shell_host"
  sys_shell_host="$withval"
fi;

# Check whether --with-sys-users-host or --without-sys-users-host was given.
if test "${with_sys_users_host+set}" = set; then
  withval="$with_sys_users_host"
  sys_users_host="$withval"
fi;

# Check whether --with-sys-docs-host or --without-sys-docs-host was given.
if test "${with_sys_docs_host+set}" = set; then
  withval="$with_sys_docs_host"
  sys_docs_host="$withval"
fi;

# Check whether --with-sys-lists-host or --without-sys-lists-host was given.
if test "${with_sys_lists_host+set}" = set; then
  withval="$with_sys_lists_host"
  sys_lists_host="$withval"
fi;

# Check whether --with-sys-dns1-host or --without-sys-dns1-host was given.
if test "${with_sys_dns1_host+set}" = set; then
  withval="$with_sys_dns1_host"
  sys_dns1_host="$withval"
fi;

# Check whether --with-sys-dns2-host or --without-sys-dns2-host was given.
if test "${with_sys_dns2_host+set}" = set; then
  withval="$with_sys_dns2_host"
  sys_dns2_host="$withval"
fi;

# Check whether --with-sys-dbhost or --without-sys-dbhost was given.
if test "${with_sys_dbhost+set}" = set; then
  withval="$with_sys_dbhost"
  sys_dbhost="$withval"
fi;

# Check whether --with-sys-dbreadhost or --without-sys-dbreadhost was given.
if test "${with_sys_dbreadhost+set}" = set; then
  withval="$with_sys_dbreadhost"
  sys_dbreadhost="$withval"
fi;

# Check whether --with-sys-dbreaddb or --without-sys-dbreaddb was given.
if test "${with_sys_dbreaddb+set}" = set; then
  withval="$with_sys_dbreaddb"
  sys_dbreaddb="$withval"
fi;

# Check whether --with-sys-dbname or --without-sys-dbname was given.
if test "${with_sys_dbname+set}" = set; then
  withval="$with_sys_dbname"
  sys_dbname="$withval"
fi;

# Check whether --with-sys-dbuser or --without-sys-dbuser was given.
if test "${with_sys_dbuser+set}" = set; then
  withval="$with_sys_dbuser"
  sys_dbuser="$withval"
fi;

# Check whether --with-sys-dbpasswd or --without-sys-dbpasswd was given.
if test "${with_sys_dbpasswd+set}" = set; then
  withval="$with_sys_dbpasswd"
  sys_dbpasswd="$withval"
fi;

#############################################################################
# optional features (LDAP, JABBER etc )
#############################################################################

#############################################################################
# LDAP

# Check whether --enable-ldap or --disable-ldap was given.
if test "${enable_ldap+set}" = set; then
  enableval="$enable_ldap"
  sys_use_ldap=1
fi;

# Check whether --with-sys-ldap-host or --without-sys-ldap-host was given.
if test "${with_sys_ldap_host+set}" = set; then
  withval="$with_sys_ldap_host"
  sys_ldap_host="$withval"
fi;

# Check whether --with-sys-ldap-base-dn or --without-sys-ldap-base-dn was given.
if test "${with_sys_ldap_base_dn+set}" = set; then
  withval="$with_sys_ldap_base_dn"
  sys_ldap_base_dn="$withval"
fi;

# Check whether --with-sys-ldap-bind-dn or --without-sys-ldap-bind-dn was given.
if test "${with_sys_ldap_bind_dn+set}" = set; then
  withval="$with_sys_ldap_bind_dn"
  sys_ldap_bind_dn="$withval"
fi;

# Check whether --with-sys-ldap-admin-dn or --without-sys-ldap-admin-dn was given.
if test "${with_sys_ldap_admin_dn+set}" = set; then
  withval="$with_sys_ldap_admin_dn"
  sys_ldap_admin_dn="$withval"
fi;

# Check whether --with-sys-ldap-password or --without-sys-ldap-password was given.
if test "${with_sys_ldap_password+set}" = set; then
  withval="$with_sys_ldap_password"
  sys_ldap_passwd="$withval"
fi;

#############################################################################
#  JABBER

# Check whether --enable-jabber or --disable-jabber was given.
if test "${enable_jabber+set}" = set; then
  enableval="$enable_jabber"
  sys_use_jaber=1
fi;

# Check whether --with-sys-jabber-host or --without-sys-jabber-host was given.
if test "${with_sys_jabber_host+set}" = set; then
  withval="$with_sys_jabber_host"
  sys_jabber_host="$withval"
fi;

# Check whether --with-sys-jabber-user or --without-sys-jabber-user was given.
if test "${with_sys_jabber_user+set}" = set; then
  withval="$with_sys_jabber_user"
  sys_jabber_user="$withval"
fi;

# Check whether --with-sys-jabber-pass or --without-sys-jabber-pass was given.
if test "${with_sys_jabber_pass+set}" = set; then
  withval="$with_sys_jabber_pass"
  sys_jabber_pass="$withval"
fi;

#############################################################################
# Paths
#############################################################################

# Check whether --with-sys-path-to-jpgraph or --without-sys-path-to-jpgraph was given.
if test "${with_sys_path_to_jpgraph+set}" = set; then
  withval="$with_sys_path_to_jpgraph"
  sys_path_to_jpgraph="$withval"
fi;

# Check whether --with-sys-upload-dir or --without-sys-upload-dir was given.
if test "${with_sys_upload_dir+set}" = set; then
  withval="$with_sys_upload_dir"
  sys_upload_dir="$withval"
fi;

# Check whether --with-homedir-prefix or --without-homedir-prefix was given.
if test "${with_homedir_prefix+set}" = set; then
  withval="$with_homedir_prefix"
  homedir_prefix="$withval"
fi;

# Check whether --with-groupdir-prefix or --without-groupdir-prefix was given.
if test "${with_groupdir_prefix+set}" = set; then
  withval="$with_groupdir_prefix"
  groupdir_prefix="$withval"
fi;

#############################################################################
#  Misc config
#############################################################################

# Check whether --with-db or --without-db was given.
if test "${with_db+set}" = set; then
  withval="$with_db"
  sys_server="$withval"
fi;

# Check whether --with-scm or --without-scm was given.
if test "${with_scm+set}" = set; then
  withval="$with_scm"
  sys_scm="$withval"
fi;

# Check whether --with-sys-name or --without-sys-name was given.
if test "${with_sys_name+set}" = set; then
  withval="$with_sys_name"
  sys_name="$withval"
fi;

# Check whether --with-sys-news-group or --without-sys-news-group was given.
if test "${with_sys_news_group+set}" = set; then
  withval="$with_sys_news_group"
  sys_news_group="$withval"
fi;

# Check whether --with-sys-stats-group or --without-sys-stats-group was given.
if test "${with_sys_stats_group+set}" = set; then
  withval="$with_sys_stats_group"
  sys_stats_group="$withval"
fi;

# Check whether --with-sys-peer-rating-group or --without-sys-peer-rating-group was given.
if test "${with_sys_peer_rating_group+set}" = set; then
  withval="$with_sys_peer_rating_group"
  sys_peer_rating_group="$withval"
fi;

# Check whether --with-default-trove-cat or --without-default-trove-cat was given.
if test "${with_default_trove_cat+set}" = set; then
  withval="$with_default_trove_cat"
  default_trove_cat="$withval"
fi;

# Check whether --with-sys-theme or --without-sys-theme was given.
if test "${with_sys_theme+set}" = set; then
  withval="$with_sys_theme"
  sys_theme="$withval"
fi;

# Check whether --with-sys-lang or --without-sys-lang was given.
if test "${with_sys_lang+set}" = set; then
  withval="$with_sys_lang"
  sys_lang="$withval"
fi;

# Check whether --with-sys-session-key or --without-sys-session-key was given.
if test "${with_sys_session_key+set}" = set; then
  withval="$with_sys_session_key"
  sys_session_key="$withval"
		echo "$as_me:1448: result: Session key... $SESSION_KEY" >&5
echo "${ECHO_T}Session key... $SESSION_KEY" >&6

else

		sys_session_key="`ps aux | $HASHING_PROG`"
		if test "$HASHING_PROG" == "sum"
		then
			POST_PROC=" | $AWK '{print \$1}'"
			sys_session_key="`echo \"$sys_session_key\" | $AWK '{print \$1}' `"
		fi
		echo "$as_me:1459: result: Session key (using \"ps aux | $HASHING_PROG$POST_PROC\")... $sys_session_key" >&5
echo "${ECHO_T}Session key (using \"ps aux | $HASHING_PROG$POST_PROC\")... $sys_session_key" >&6

fi;

#############################################################################
# check to see if the values given are okay.
#############################################################################

echo "$as_me:1468: checking whether sys_upload_dir directory exists" >&5
echo $ECHO_N "checking whether sys_upload_dir directory exists... $ECHO_C" >&6
if test -d "$sys_upload_dir"
then
	echo "$as_me:1472: result: Yes." >&5
echo "${ECHO_T}Yes." >&6
	if `echo $sys_upload_dir | grep -- "${sys_urlroot}"  > /dev/null `
	then
		{ { echo "$as_me:1476: error: sys_upload_dir must not be under Document Root ($sys_urlroot)." >&5
echo "$as_me: error: sys_upload_dir must not be under Document Root ($sys_urlroot)." >&2;}
   { (exit 1); exit 1; }; }
	fi
else
	{ { echo "$as_me:1481: error: No." >&5
echo "$as_me: error: No." >&2;}
   { (exit 1); exit 1; }; }
fi

echo "$as_me:1486: checking whether \"$sys_lang\" is supported" >&5
echo $ECHO_N "checking whether \"$sys_lang\" is supported... $ECHO_C" >&6
if test -f "$TOP_DIR/www/include/languages/$sys_lang.tab"
then
	echo "$as_me:1490: result: Yes." >&5
echo "${ECHO_T}Yes." >&6
else
	{ { echo "$as_me:1493: error: No." >&5
echo "$as_me: error: No." >&2;}
   { (exit 1); exit 1; }; }
fi

echo "$as_me:1498: checking whether the theme \"$sys_theme\" exists" >&5
echo $ECHO_N "checking whether the theme \"$sys_theme\" exists... $ECHO_C" >&6
if test -d "$TOP_DIR/www/themes/$sys_theme"
then
	echo "$as_me:1502: result: Yes." >&5
echo "${ECHO_T}Yes." >&6
else
	{ { echo "$as_me:1505: error: $sys_theme theme does not exist." >&5
echo "$as_me: error: $sys_theme theme does not exist." >&2;}
   { (exit 1); exit 1; }; }
fi

#############################################################################
# The names of hosts that provide services

# DB

#############################################################################
# Paths

#############################################################################
# Misc variables

# UIDs

#############################################################################
# Options

# LDAP

# JABBER

#############################################################################
# process these files
ac_config_files="$ac_config_files local.inc sample-apache.vhost"

#############################################################################
# give a summary of the config for quick debugging...

cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
# scripts and configure runs, see configure's option --config-cache.
# It is not useful on other systems.  If it contains results you don't
# want to keep, you may remove or edit it.
#
# config.status only pays attention to the cache file if you give it
# the --recheck option to rerun configure.
#
# `ac_cv_env_foo' variables (set or unset) will be overriden when
# loading this file, other *unset* `ac_cv_foo' will be assigned the
# following values.

_ACEOF

# The following way of writing the cache mishandles newlines in values,
# but we know of no workaround that is simple, portable, and efficient.
# So, don't put newlines in cache variables' values.
# Ultrix sh set writes to stderr and can't be redirected directly,
# and sets the high bit in the cache file unless we assign to the vars.
{
  (set) 2>&1 |
    case `(ac_space=' '; set | grep ac_space) 2>&1` in
    *ac_space=\ *)
      # `set' does not quote correctly, so add quotes (double-quote
      # substitution turns \\\\ into \\, and sed turns \\ into \).
      sed -n \
        "s/'/'\\\\''/g;
    	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
      ;;
    *)
      # `set' quotes correctly as required by POSIX, so do not add quotes.
      sed -n \
        "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
      ;;
    esac;
} |
  sed '
     t clear
     : clear
     s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
     t end
     /^ac_cv_env/!s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
     : end' >>confcache
if cmp -s $cache_file confcache; then :; else
  if test -w $cache_file; then
    test "x$cache_file" != "x/dev/null" && echo "updating cache $cache_file"
    cat confcache >$cache_file
  else
    echo "not updating unwritable cache $cache_file"
  fi
fi
rm -f confcache

test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'

# VPATH may cause trouble with some makes, so we remove $(srcdir),
# ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
# trailing colons and then remove the whole line if VPATH becomes empty
# (actually we leave an empty line to preserve line numbers).
if test "x$srcdir" = x.; then
  ac_vpsub='/^[ 	]*VPATH[ 	]*=/{
s/:*\$(srcdir):*/:/;
s/:*\${srcdir}:*/:/;
s/:*@srcdir@:*/:/;
s/^\([^=]*=[ 	]*\):*/\1/;
s/:*$//;
s/^[^=]*=[ 	]*$//;
}'
fi

# Transform confdefs.h into DEFS.
# Protect against shell expansion while executing Makefile rules.
# Protect against Makefile macro expansion.
#
# If the first sed substitution is executed (which looks for macros that
# take arguments), then we branch to the quote section.  Otherwise,
# look for a macro that doesn't take arguments.
cat >confdef2opt.sed <<\EOF
t clear
: clear
s,^[ 	]*#[ 	]*define[ 	][ 	]*\([^ 	(][^ 	(]*([^)]*)\)[ 	]*\(.*\),-D\1=\2,g
t quote
s,^[ 	]*#[ 	]*define[ 	][ 	]*\([^ 	][^ 	]*\)[ 	]*\(.*\),-D\1=\2,g
t quote
d
: quote
s,[ 	`~#$^&*(){}\\|;'"<>?],\\&,g
s,\[,\\&,g
s,\],\\&,g
s,\$,$$,g
p
EOF
# We use echo to avoid assuming a particular line-breaking character.
# The extra dot is to prevent the shell from consuming trailing
# line-breaks from the sub-command output.  A line-break within
# single-quotes doesn't work because, if this script is created in a
# platform that uses two characters for line-breaks (e.g., DOS), tr
# would break.
ac_LF_and_DOT=`echo; echo .`
DEFS=`sed -n -f confdef2opt.sed confdefs.h | tr "$ac_LF_and_DOT" ' .'`
rm -f confdef2opt.sed

: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
{ echo "$as_me:1646: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.

debug=false
SHELL=\${CONFIG_SHELL-$SHELL}
ac_cs_invocation="\$0 \$@"

_ACEOF

cat >>$CONFIG_STATUS <<\_ACEOF
# Be Bourne compatible
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  emulate sh
  NULLCMD=:
elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  set -o posix
fi

# Name of the executable.
as_me=`echo "$0" |sed 's,.*[\\/],,'`

if expr a : '\(a\)' >/dev/null 2>&1; then
  as_expr=expr
else
  as_expr=false
fi

rm -f conf$$ conf$$.exe conf$$.file
echo >conf$$.file
if ln -s conf$$.file conf$$ 2>/dev/null; then
  # We could just check for DJGPP; but this test a) works b) is more generic
  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  if test -f conf$$.exe; then
    # Don't use ln at all; we don't have any links
    as_ln_s='cp -p'
  else
    as_ln_s='ln -s'
  fi
elif ln conf$$.file conf$$ 2>/dev/null; then
  as_ln_s=ln
else
  as_ln_s='cp -p'
fi
rm -f conf$$ conf$$.exe conf$$.file

as_executable_p="test -f"

# Support unset when possible.
if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
  as_unset=unset
else
  as_unset=false
fi

# NLS nuisances.
$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }

# IFS
# We need space, tab and new line, in precisely that order.
as_nl='
'
IFS=" 	$as_nl"

# CDPATH.
$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }

exec 6>&1

_ACEOF

# Files that config.status was made for.
if test -n "$ac_config_files"; then
  echo "config_files=\"$ac_config_files\"" >>$CONFIG_STATUS
fi

if test -n "$ac_config_headers"; then
  echo "config_headers=\"$ac_config_headers\"" >>$CONFIG_STATUS
fi

if test -n "$ac_config_links"; then
  echo "config_links=\"$ac_config_links\"" >>$CONFIG_STATUS
fi

if test -n "$ac_config_commands"; then
  echo "config_commands=\"$ac_config_commands\"" >>$CONFIG_STATUS
fi

cat >>$CONFIG_STATUS <<\EOF

ac_cs_usage="\
\`$as_me' instantiates files from templates according to the
current configuration.

Usage: $0 [OPTIONS] [FILE]...

  -h, --help       print this help, then exit
  -V, --version    print version number, then exit
  -d, --debug      don't remove temporary files
      --recheck    update $as_me by reconfiguring in the same conditions
  --file=FILE[:TEMPLATE]
                   instantiate the configuration file FILE

Configuration files:
$config_files

Report bugs to <bug-autoconf@gnu.org>."
EOF

cat >>$CONFIG_STATUS <<EOF
ac_cs_version="\\
GForge config.status 3.0
configured by $0, generated by GNU Autoconf 2.52,
  with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"

Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
Free Software Foundation, Inc.
This config.status script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it."
srcdir=$srcdir
EOF

cat >>$CONFIG_STATUS <<\EOF
# If no file are specified by the user, then we need to provide default
# value.  By we need to know if files were specified by the user.
ac_need_defaults=:
while test $# != 0
do
  case $1 in
  --*=*)
    ac_option=`expr "x$1" : 'x\([^=]*\)='`
    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
    shift
    set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
    shift
    ;;
  -*);;
  *) # This is not an option, so the user has probably given explicit
     # arguments.
     ac_need_defaults=false;;
  esac

  case $1 in
  # Handling of the options.
EOF
cat >>$CONFIG_STATUS <<EOF
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo "running $SHELL $0 " $ac_configure_args " --no-create --no-recursion"
    exec $SHELL $0 $ac_configure_args --no-create --no-recursion ;;
EOF
cat >>$CONFIG_STATUS <<\EOF
  --version | --vers* | -V )
    echo "$ac_cs_version"; exit 0 ;;
  --he | --h)
    # Conflict between --help and --header
    { { echo "$as_me:1813: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
   { (exit 1); exit 1; }; };;
  --help | --hel | -h )
    echo "$ac_cs_usage"; exit 0 ;;
  --debug | --d* | -d )
    debug=: ;;
  --file | --fil | --fi | --f )
    shift
    CONFIG_FILES="$CONFIG_FILES $1"
    ac_need_defaults=false;;
  --header | --heade | --head | --hea )
    shift
    CONFIG_HEADERS="$CONFIG_HEADERS $1"
    ac_need_defaults=false;;

  # This is an error.
  -*) { { echo "$as_me:1832: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
   { (exit 1); exit 1; }; } ;;

  *) ac_config_targets="$ac_config_targets $1" ;;

  esac
  shift
done

exec 5>>config.log
cat >&5 << _ACEOF

## ----------------------- ##
## Running config.status.  ##
## ----------------------- ##

This file was extended by $as_me (GForge 3.0) 2.52, executed with
  CONFIG_FILES    = $CONFIG_FILES
  CONFIG_HEADERS  = $CONFIG_HEADERS
  CONFIG_LINKS    = $CONFIG_LINKS
  CONFIG_COMMANDS = $CONFIG_COMMANDS
  > $ac_cs_invocation
on `(hostname || uname -n) 2>/dev/null | sed 1q`

_ACEOF
EOF

cat >>$CONFIG_STATUS <<\EOF
for ac_config_target in $ac_config_targets
do
  case "$ac_config_target" in
  # Handling of arguments.
  "local.inc" ) CONFIG_FILES="$CONFIG_FILES local.inc" ;;
  "sample-apache.vhost" ) CONFIG_FILES="$CONFIG_FILES sample-apache.vhost" ;;
  *) { { echo "$as_me:1869: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
   { (exit 1); exit 1; }; };;
  esac
done

# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used.  Set only those that are not.
# We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
fi

# Create a temporary directory, and hook for its removal unless debugging.
$debug ||
{
  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  trap '{ (exit 1); exit 1; }' 1 2 13 15
}

# Create a (secure) tmp directory for tmp files.
: ${TMPDIR=/tmp}
{
  tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
  test -n "$tmp" && test -d "$tmp"
}  ||
{
  tmp=$TMPDIR/cs$$-$RANDOM
  (umask 077 && mkdir $tmp)
} ||
{
   echo "$me: cannot create a temporary directory in $TMPDIR" >&2
   { (exit 1); exit 1; }
}

EOF

cat >>$CONFIG_STATUS <<EOF

#
# CONFIG_FILES section.
#

# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "\$CONFIG_FILES"; then
  # Protect against being on the right side of a sed subst in config.status.
  sed 's/,@/@@/; s/@,/@@/; s/,;t t\$/@;t t/; /@;t t\$/s/[\\\\&,]/\\\\&/g;
   s/@@/,@/; s/@@/@,/; s/@;t t\$/,;t t/' >\$tmp/subs.sed <<\\CEOF
s,@SHELL@,$SHELL,;t t
s,@exec_prefix@,$exec_prefix,;t t
s,@prefix@,$prefix,;t t
s,@program_transform_name@,$program_transform_name,;t t
s,@bindir@,$bindir,;t t
s,@sbindir@,$sbindir,;t t
s,@libexecdir@,$libexecdir,;t t
s,@datadir@,$datadir,;t t
s,@sysconfdir@,$sysconfdir,;t t
s,@sharedstatedir@,$sharedstatedir,;t t
s,@localstatedir@,$localstatedir,;t t
s,@libdir@,$libdir,;t t
s,@includedir@,$includedir,;t t
s,@oldincludedir@,$oldincludedir,;t t
s,@infodir@,$infodir,;t t
s,@mandir@,$mandir,;t t
s,@PACKAGE_NAME@,$PACKAGE_NAME,;t t
s,@PACKAGE_TARNAME@,$PACKAGE_TARNAME,;t t
s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t t
s,@PACKAGE_STRING@,$PACKAGE_STRING,;t t
s,@PACKAGE_BUGREPORT@,$PACKAGE_BUGREPORT,;t t
s,@build_alias@,$build_alias,;t t
s,@host_alias@,$host_alias,;t t
s,@target_alias@,$target_alias,;t t
s,@ECHO_C@,$ECHO_C,;t t
s,@ECHO_N@,$ECHO_N,;t t
s,@ECHO_T@,$ECHO_T,;t t
s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t t
s,@DEFS@,$DEFS,;t t
s,@LIBS@,$LIBS,;t t
s,@AWK@,$AWK,;t t
s,@HASHING_PROG@,$HASHING_PROG,;t t
s,@sys_default_domain@,$sys_default_domain,;t t
s,@sys_fallback_domain@,$sys_fallback_domain,;t t
s,@sys_internal_network@,$sys_internal_network,;t t
s,@sys_cvs_host@,$sys_cvs_host,;t t
s,@sys_cvs_single_host@,$sys_cvs_single_host,;t t
s,@sys_download_host@,$sys_download_host,;t t
s,@sys_upload_host@,$sys_upload_host,;t t
s,@sys_shell_host@,$sys_shell_host,;t t
s,@sys_users_host@,$sys_users_host,;t t
s,@sys_docs_host@,$sys_docs_host,;t t
s,@sys_lists_host@,$sys_lists_host,;t t
s,@sys_dns1_host@,$sys_dns1_host,;t t
s,@sys_dns2_host@,$sys_dns2_host,;t t
s,@sys_server@,$sys_server,;t t
s,@sys_dbhost@,$sys_dbhost,;t t
s,@sys_dbreadhost@,$sys_dbreadhost,;t t
s,@sys_dbreaddb@,$sys_dbreaddb,;t t
s,@sys_dbname@,$sys_dbname,;t t
s,@sys_dbuser@,$sys_dbuser,;t t
s,@sys_dbpasswd@,$sys_dbpasswd,;t t
s,@TOP_DIR@,$TOP_DIR,;t t
s,@sys_upload_dir@,$sys_upload_dir,;t t
s,@sys_path_to_jpgraph@,$sys_path_to_jpgraph,;t t
s,@homedir_prefix@,$homedir_prefix,;t t
s,@groupdir_prefix@,$groupdir_prefix,;t t
s,@sys_urlroot@,$sys_urlroot,;t t
s,@sys_name@,$sys_name,;t t
s,@sys_theme@,$sys_theme,;t t
s,@sys_lang@,$sys_lang,;t t
s,@sys_session_key@,$sys_session_key,;t t
s,@sys_scm@,$sys_scm,;t t
s,@sys_news_group@,$sys_news_group,;t t
s,@sys_stats_group@,$sys_stats_group,;t t
s,@sys_peer_rating_group@,$sys_peer_rating_group,;t t
s,@default_trove_cat@,$default_trove_cat,;t t
s,@sys_use_ldap@,$sys_use_ldap,;t t
s,@sys_ldap_host@,$sys_ldap_host,;t t
s,@sys_ldap_base_dn@,$sys_ldap_base_dn,;t t
s,@sys_ldap_bind_dn@,$sys_ldap_bind_dn,;t t
s,@sys_ldap_admin_dn@,$sys_ldap_admin_dn,;t t
s,@sys_ldap_passwd@,$sys_ldap_passwd,;t t
s,@sys_use_jabber@,$sys_use_jabber,;t t
s,@sys_jabber_host@,$sys_jabber_host,;t t
s,@sys_jabber_user@,$sys_jabber_user,;t t
s,@sys_jabber_pass@,$sys_jabber_pass,;t t
CEOF

EOF

  cat >>$CONFIG_STATUS <<\EOF
  # Split the substitutions into bite-sized pieces for seds with
  # small command number limits, like on Digital OSF/1 and HP-UX.
  ac_max_sed_lines=48
  ac_sed_frag=1 # Number of current file.
  ac_beg=1 # First line for current file.
  ac_end=$ac_max_sed_lines # Line after last line for current file.
  ac_more_lines=:
  ac_sed_cmds=
  while $ac_more_lines; do
    if test $ac_beg -gt 1; then
      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
    else
      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
    fi
    if test ! -s $tmp/subs.frag; then
      ac_more_lines=false
    else
      # The purpose of the label and of the branching condition is to
      # speed up the sed processing (if there are no `@' at all, there
      # is no need to browse any of the substitutions).
      # These are the two extra sed commands mentioned above.
      (echo ':t
  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
      if test -z "$ac_sed_cmds"; then
  	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
      else
  	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
      fi
      ac_sed_frag=`expr $ac_sed_frag + 1`
      ac_beg=$ac_end
      ac_end=`expr $ac_end + $ac_max_sed_lines`
    fi
  done
  if test -z "$ac_sed_cmds"; then
    ac_sed_cmds=cat
  fi
fi # test -n "$CONFIG_FILES"

EOF
cat >>$CONFIG_STATUS <<\EOF
for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case $ac_file in
  - | *:- | *:-:* ) # input from stdin
        cat >$tmp/stdin
        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  * )   ac_file_in=$ac_file.in ;;
  esac

  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
  ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$ac_file" : 'X\(//\)[^/]' \| \
         X"$ac_file" : 'X\(//\)$' \| \
         X"$ac_file" : 'X\(/\)' \| \
         .     : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  	  /^X\(\/\/\)$/{ s//\1/; q; }
  	  /^X\(\/\).*/{ s//\1/; q; }
  	  s/.*/./; q'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    { case "$ac_dir" in
  [\\/]* | ?:[\\/]* ) as_incr_dir=;;
  *)                      as_incr_dir=.;;
esac
as_dummy="$ac_dir"
for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
  case $as_mkdir_dir in
    # Skip DOS drivespec
    ?:) as_incr_dir=$as_mkdir_dir ;;
    *)
      as_incr_dir=$as_incr_dir/$as_mkdir_dir
      test -d "$as_incr_dir" || mkdir "$as_incr_dir"
    ;;
  esac
done; }

    ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
    # A "../" for each directory in $ac_dir_suffix.
    ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
  else
    ac_dir_suffix= ac_dots=
  fi

  case $srcdir in
  .)  ac_srcdir=.
      if test -z "$ac_dots"; then
         ac_top_srcdir=.
      else
         ac_top_srcdir=`echo $ac_dots | sed 's,/$,,'`
      fi ;;
  [\\/]* | ?:[\\/]* )
      ac_srcdir=$srcdir$ac_dir_suffix;
      ac_top_srcdir=$srcdir ;;
  *) # Relative path.
    ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
    ac_top_srcdir=$ac_dots$srcdir ;;
  esac

  if test x"$ac_file" != x-; then
    { echo "$as_me:2105: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
    rm -f "$ac_file"
  fi
  # Let's still pretend it is `configure' which instantiates (i.e., don't
  # use $as_me), people would be surprised to read:
  #    /* config.h.  Generated automatically by config.status.  */
  configure_input="Generated automatically from `echo $ac_file_in |
                                                 sed 's,.*/,,'` by configure."

  # First look for the input files in the build tree, otherwise in the
  # src tree.
  ac_file_inputs=`IFS=:
    for f in $ac_file_in; do
      case $f in
      -) echo $tmp/stdin ;;
      [\\/$]*)
         # Absolute (can't be DOS-style, as IFS=:)
         test -f "$f" || { { echo "$as_me:2123: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
         echo $f;;
      *) # Relative
         if test -f "$f"; then
           # Build tree
           echo $f
         elif test -f "$srcdir/$f"; then
           # Source tree
           echo $srcdir/$f
         else
           # /dev/null tree
           { { echo "$as_me:2136: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
         fi;;
      esac
    done` || { (exit 1); exit 1; }
EOF
cat >>$CONFIG_STATUS <<EOF
  sed "$ac_vpsub
$extrasub
EOF
cat >>$CONFIG_STATUS <<\EOF
:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s,@configure_input@,$configure_input,;t t
s,@srcdir@,$ac_srcdir,;t t
s,@top_srcdir@,$ac_top_srcdir,;t t
" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  rm -f $tmp/stdin
  if test x"$ac_file" != x-; then
    mv $tmp/out $ac_file
  else
    cat $tmp/out
    rm -f $tmp/out
  fi

done
EOF

cat >>$CONFIG_STATUS <<\EOF

{ (exit 0); exit 0; }
EOF
chmod +x $CONFIG_STATUS
ac_clean_files=$ac_clean_files_save

echo ""
echo "Some key variables:-"
echo ""
echo "  sys_default_domain = $sys_default_domain"
echo "        sys_cvs_host = $sys_cvs_host"
echo "   sys_download_host = $sys_download_host"
echo "     sys_upload_host = $sys_upload_host"
echo "      sys_shell_host = $sys_shell_host"
echo "      sys_users_host = $sys_users_host"
echo "       sys_docs_host = $sys_docs_host"
echo "      sys_lists_host = $sys_lists_host"
echo "       sys_dns1_host = $sys_dns1_host"
echo "       sys_dns2_host = $sys_dns2_host"
echo "          sys_dbhost = $sys_dbhost"
echo "      sys_dbreadhost = $sys_dbreadhost"
echo "          sys_dbname = $sys_dbname"
echo "        sys_dbreaddb = $sys_dbreaddb"
echo "          sys_dbuser = $sys_dbuser"
if test $sys_use_ldap == 1
then
echo ""
echo "       sys_ldap_host = $sys_ldap_host"
echo "    sys_ldap_base_dn = $sys_ldap_base_dn"
echo "    sys_ldap_bind_dn = $sys_ldap_bind_dn"
echo "   sys_ldap_admin_dn = $sys_ldap_admin_dn"
fi
if test $sys_use_jabber == 1
then
echo ""
echo "     sys_jabber_host = $sys_jabber_host"
echo "     sys_jabber_user = $sys_jabber_user"
fi
echo ""
echo "            sys_name = $sys_name"
echo ""
echo "         sys_urlroot = $sys_urlroot"
echo "      sys_upload_dir = $sys_upload_dir"
echo " sys_path_to_jpgraph = $sys_path_to_jpgraph"
echo ""
echo "     sys_session_key = $sys_session_key"
echo ""

# configure is writing to config.log, and then calls config.status.
# config.status does its own redirection, appending to config.log.
# Unfortunately, on DOS this fails, as config.log is still kept open
# by configure, so config.status won't be able to write to it; its
# output is simply discarded.  So we exec the FD to /dev/null,
# effectively closing config.log, so it can be properly (re)opened and
# appended to by config.status.  When coming back to configure, we
# need to make the FD available again.
if test "$no_create" != yes; then
  ac_cs_success=:
  exec 5>/dev/null
  $SHELL $CONFIG_STATUS || ac_cs_success=false
  exec 5>>config.log
  # Use ||, not &&, to avoid exiting from the if with $? = 1, which
  # would make configure fail if this is the last instruction.
  $ac_cs_success || { (exit 1); exit 1; }
fi

